Security Experts:

VM Vulnerability Discovered on Multiple Platforms

US-CERT has issued a warning to organizations and systems providers focusing on a VM vulnerability, which if exploited, would allow the attacker to leave the guest environment; better known as a guest-to-host virtual machine escape.

The vulnerability exists on XEN, and only when running on an Intel chipset. Platform wise, the issue has been confirmed and patched on FreeBSD, Microsoft, NetBSD, Oracle, RedHat, SUSE Linux. Microsoft addressed the problem as part of their massive security released on Tuesday; the VM vulnerability itself is fixed with MS12-042.

“The security update addresses the vulnerabilities by correcting the way that the Windows User Mode Scheduler handles a particular system request and the way that Windows manages BIOS ROM,” Microsoft said.

“This security update is rated Important for all 32-bit editions of Windows XP and Windows Server 2003; Windows 7 for x64-based Systems; and Windows Server 2008 R2 for x64-based Systems.” According to XEN, setups that use an AMD CPU are not vulnerable, however the exploit will trigger a denial-of-service condition on some systems.

It’s important to note that VMWare is not impacted by this issue. Administrators are advised to patch as soon as possible. Likewise, if your organization uses VPS solutions, you will need to ensure your vendor is properly protected from this issue as well.

The full CERT advisory is here

Subscribe to the SecurityWeek Email Briefing
view counter
Steve Ragan is a security reporter and contributor for SecurityWeek. Prior to joining the journalism world in 2005, he spent 15 years as a freelance IT contractor focused on endpoint security and security training.